Skip to content

Create A Withdrawal Order

Endpoint

POST https://api.mycactus.dev/custody/v1/api/projects/{b_id}/integrated/withdraw-order/create
POST https://api.mycactus.com/custody/v1/api/projects/{b_id}/integrated/withdraw-order/create

Parameters

Path Parameters

FieldTypeDescription
b_id
Required
StringBusiness line ID

Body Parameters

FieldTypeDescription
order_no
Required
StringOrder ID (max 50 characters)
dest_coin_name
Required
StringDestination token name
dest_address
Required
StringDestination address
amount
Required
IntegerWithdrawal amount
description
Optional
StringOrder Description
dest_wallet_code
Optional
StringDestination wallet ID (Internal transfer)
tag
Optional
StringDestination address's tag or memo

Request Body Example

{
  "order_no": "WD20241201001",
  "description": "Withdrawal to external wallet",
  "dest_coin_name": "USDT",
  "dest_address": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb",
  "amount": 1000000000
}

Response

Response Body

FieldTypeDescription
codeIntegerResponse code (0 = success)
messageStringResponse message
successfulBooleanWhether the request was successful
dataStringOrder ID

Response Example

{
  "code": 0,
  "data": "string",
  "message": "string",
  "successful": true
}